import java.io.InputStreamReader;
import java.io.IOException;
import java.io.OutputStreamWriter;
import java.io.BufferedWriter;
import java.util.InputMismatchException;
import java.io.BufferedReader;
import java.io.OutputStream;
import java.io.PrintWriter;
import java.io.FileInputStream;
import java.io.Writer;
import java.util.StringTokenizer;
import java.io.InputStream;

/**
 * Built using CHelper plug-in
 * Actual solution is at the top
 * @author Andrey Rechitsky (arechitsky@gmail.com)
 */
public class race_java_parts {
    public static void main(String[] args) {
        InputStream inputStream;
        try {
            inputStream = new FileInputStream("RACE.IN");
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
        OutputStream outputStream = System.out;
        FastScanner in = new FastScanner(inputStream);
        FastPrinter out = new FastPrinter(outputStream);
        Race solver = new Race();
        int testCount = Integer.parseInt(in.next());
        for (int i = 1; i <= testCount; i++)
            solver.solve(i, in, out);
        out.close();
    }
}

class Race {
    public void solve(int testNumber, FastScanner in, FastPrinter out) {
        // We need to calculate L * (V + D) / V with P accurate digits after decimal point.
        // Maximum answer is 10e9 * 10e9 / 1, so we need to store about 10e18 with 6 digits after point.
        // Double is not accurate enough.
        long l = in.nextInt();
        long v = in.nextInt();
        long d = in.nextInt();
        int p = in.nextInt();
        long p10 = 1;
        int tmp = p;
        while (tmp-- > 0) p10 = p10 * 10;
        long numerator = l * (v + d); // Numerator of fraction
        long intpart = numerator / v; // Integer part of fraction
        long fracpart = (numerator % v * p10 * 10 / v + 5) / 10; // Decimal part. Find one more digit and natural round
        intpart += fracpart / p10; // check if fracpart has overflow - like .995 to two digits
        fracpart = fracpart % p10;
        out.print(intpart);
        if (p > 0) {
            String format = String.format(".%%0%dd", p); // like ".%06d" or ".%03d"
            out.print(format, fracpart);
        }
        out.printLine();
    }
}

class FastScanner {

    private BufferedReader reader;
    private StringTokenizer st;

    public FastScanner(InputStream stream) {
        this.reader = new BufferedReader(new InputStreamReader(stream));
        this.st = new StringTokenizer("");
    }

    public int nextInt() {
        return Integer.parseInt(next());
    }

    public String next() {
        while (!st.hasMoreTokens()) {
            st = new StringTokenizer(readLine());
        }
        return st.nextToken();
    }

    private String readLine() {
        try {
            String line = reader.readLine();
            if (line == null) throw new InputMismatchException();
            return line;
        } catch (IOException e) {
            throw new InputMismatchException();
        }
    }

}

class FastPrinter {
    private final PrintWriter writer;

    public FastPrinter(OutputStream outputStream) {
        writer = new PrintWriter(new BufferedWriter(new OutputStreamWriter(outputStream)));
    }

    public void close() {
        writer.close();
    }

    public void printLine() {
        writer.println();
    }

    public void print(long i) {
        writer.print(i);
    }

    public void print(String s) {
        writer.print(s);
    }

    public void print(String format, Object... args) {
        print(String.format(format, args));
    }

}

