import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.HashSet;
import java.util.Random;

public class F_Tests
{
    public static void main(String[] args) throws Exception
    {
        new F_Tests().run(args);
    }


    public class BaseItem
    {
    }

    public class DigitItem extends BaseItem
    {
        public int Digit;

        public DigitItem(int digit)
        {
            Digit = digit;
        }

        @Override
        public String toString() {
            return Integer.valueOf(Digit).toString();
        }
    }

    public class ExprItem extends BaseItem
    {
        ArrayList<BaseItem> args = new ArrayList<BaseItem>();

        public String operation;

        public ExprItem(boolean isAnd)
        {
            operation = isAnd ? "AND" : "OR";
        }

        @Override
        public String toString() {
            String s = "";
            for(int i = 0; i < args.size(); i++) {
                s += args.get(i).toString();
                if (i != args.size() - 1)
                    s += ",";
            }
            return operation + "(" + s + ")";
        }
    }

    private F_Tests.BaseItem generate(int level, int argNum) throws Exception
    {
        if (level == 0)
            return new F_Tests.DigitItem(rand.nextInt(2));

        if (rand.nextInt(11) > 2)
            return new F_Tests.DigitItem(rand.nextInt(2));

        F_Tests.ExprItem ans = new F_Tests.ExprItem(rand.nextBoolean());

        int n = rand.nextInt(argNum) + 2;
        for (int i = 0; i < n; i++)
            ans.args.add(generate(level - 1, argNum));

        return ans;
    }


    private int tests;
    private int testn;
    PrintWriter out = null;
    HashSet<String> hs = null;
    Random rand = null;

    private final int MAX_LEN = 1000;

    private boolean printTest(String s)
    {
        if (tests < testn && s.length() <= MAX_LEN)
        {
            if (!hs.contains(s))
            {
                tests++;
                out.println(s);
                hs.add(s);
                return true;
            }
        }
        return false;
    }

    private int genTest(int n, int level, int argNum) throws Exception
    {
        int len = 0;
        for (int i = 0; i < n; i++)
        {
            String str = generate(level, argNum).toString();
            if (printTest(str))
                len = str.length();
        }
        return len;
    }

    private void run(String[] args) throws Exception
    {
        if (args.length> 0)
            testn = Integer.parseInt(args[0]);
        else
            testn = 10000;
        tests = 0;

        hs = new HashSet<String>();
        rand = new Random(678901);

        out = new PrintWriter("FORMULA.IN");
        out.println(testn);

//        printTest("M(5,m(6,8))");
//        printTest("M(m(1,2),m(4,3))");
//        printTest("0");
        printTest("AND(1,OR(0,1))");
        printTest("OR(AND(0,0),AND(0,0,0),AND(0,0,0,0))");
        printTest("1");
        printTest("0");
        printTest("AND(1,1,1,1,1,1,1,1,1)");
        printTest("AND(AND(AND(AND(1,1,1),1),1),1)");
        printTest("OR(OR(OR(OR(OR(1,0),0),0,OR(0,0),0),0),0)");
        printTest("OR(OR(OR(OR(OR(0,0),0),0),AND(1,0)),0)");
        printTest("OR(AND(1,0,1),AND(OR(0,0,0),1),AND(1,1,1,1,1),0)");
        printTest("OR(OR(1,1,1),OR(0,0,0))");

//        printTest(generate(199, 0).toString());
//
//        for (int i = 1; i <= 45; i++)
//        {
//            printTest(generate(i*4, 0).toString());
//        }

//        for (int i = 0; i < 10; i++)
//        {
//            printTest("" + i + "");
//        }


//        for (int i = 1; i <= 200; i++)
//        {
//            System.out.println(i + " " + genTest(4, i));
//            printTest(generate(i, rand.nextInt(2) + 1).toString());
//        }
//
//        while (tests < testn)
//        {
//            genTest(1, rand.nextInt(100));
//        }

//        printTest("=========================");

        while (tests < 20)
        {
            genTest(1, 3, 3);
        }

        while (tests < 100)
        {
            genTest(1, 5, 5);
        }

        while (tests < 100)
        {
            genTest(1, 12, 12);
        }

        while (tests < testn)
        {
            genTest(1, 10, 10);
        }


        out.close();
    }

}
