import java.io.InputStreamReader;
import java.io.IOException;
import java.io.OutputStreamWriter;
import java.io.BufferedWriter;
import java.util.InputMismatchException;
import java.io.BufferedReader;
import java.io.OutputStream;
import java.io.PrintWriter;
import java.io.FileInputStream;
import java.io.Writer;
import java.util.StringTokenizer;
import java.io.InputStream;

/**
 * Built using CHelper plug-in
 * Actual solution is at the top
 * @author Andrey Rechitsky (arechitsky@gmail.com)
 */
public class Formula_ar {
	public static void main(String[] args) {
		InputStream inputStream;
		try {
			inputStream = new FileInputStream("FORMULA.IN");
		} catch (IOException e) {
			throw new RuntimeException(e);
		}
		OutputStream outputStream = System.out;
		FastScanner in = new FastScanner(inputStream);
		FastPrinter out = new FastPrinter(outputStream);
		TaskF solver = new TaskF();
		int testCount = Integer.parseInt(in.next());
		for (int i = 1; i <= testCount; i++)
			solver.solve(i, in, out);
		out.close();
	}
}

class TaskF {
    char[] formula; // formula itself
    int cursor; // current symbol of formula
    int testNumber;

    public void solve(int testNumber, FastScanner in, FastPrinter out) {
        this.testNumber = testNumber;
        formula = in.nextLine().toCharArray();
        cursor = 0;
        out.printLine(calc() ? 1 : 0);
    }

    boolean calc() {
        if (cursor >= formula.length)
            throw new RuntimeException(String.format("test #%d: cursor=%d out of formula (length = %d)", testNumber, cursor, formula.length));
        if (formula[cursor] == '1') {
            cursor++;
            return true;
        } else if (formula[cursor] == '0') {
            cursor++;
            return false;
        } else if (cursor + 3 < formula.length && formula[cursor] == 'A' && formula[cursor + 1] == 'N' && formula[cursor + 2] == 'D' &&
                formula[cursor + 3] == '(') {
            cursor += 4;
            boolean val = true;
            do {
                val &= calc();
                if (formula[cursor] != ',' && formula[cursor] != ')')
                    throw new RuntimeException(String.format("test #%d: unexpected symbol %c at %d: ", testNumber, formula[cursor], cursor));
                cursor++;
            } while (formula[cursor - 1] != ')');
            return val;
        } else if (cursor + 2 < formula.length && formula[cursor] == 'O' && formula[cursor + 1] == 'R' && formula[cursor + 2] == '(') {
            cursor += 3;
            boolean val = false;
            do {
                val |= calc();
                if (formula[cursor] != ',' && formula[cursor] != ')')
                    throw new RuntimeException(String.format("test #%d: unexpected symbol %c at %d: ", testNumber, formula[cursor], cursor));
                cursor++;
            } while (formula[cursor - 1] != ')');
            return val;
        } else {
            throw new RuntimeException(String.format("test #%d: unexpected symbol %c at %d: ", testNumber, formula[cursor], cursor));
        }
    }
}

class FastScanner {

    private BufferedReader reader;
    private StringTokenizer st;

    public FastScanner(InputStream stream) {
        this.reader = new BufferedReader(new InputStreamReader(stream));
        this.st = new StringTokenizer("");
    }

    public String next() {
        while (!st.hasMoreTokens()) {
            st = new StringTokenizer(readLine());
        }
        return st.nextToken();
    }

    public String nextLine() {
        st = new StringTokenizer("");
        return readLine();
    }

    private String readLine() {
        try {
            String line = reader.readLine();
            if (line == null) throw new InputMismatchException();
            return line;
        } catch (IOException e) {
            throw new InputMismatchException();
        }
    }

}

class FastPrinter {
    private final PrintWriter writer;

    public FastPrinter(OutputStream outputStream) {
        writer = new PrintWriter(new BufferedWriter(new OutputStreamWriter(outputStream)));
    }

    public void close() {
        writer.close();
    }

    public void printLine(long i) {
        writer.println(i);
    }

}

