import java.io.PrintWriter;
import java.math.BigInteger;
import java.util.Random;
import java.util.HashSet;

public class SquareRoot_Tests
{
    public static void main(String[] args) throws Exception
    {
        new SquareRoot_Tests().run(args);
    }

    private int tests;
    private int testn;
    PrintWriter out = null;
    Random rand = null;
    BigInteger one = new BigInteger("1");
    BigInteger two = new BigInteger("2");
    HashSet<String> hs = null;
    private final int MAX_LEN = 1000;

    private boolean printTest(BigInteger n)
    {
        n = n.add(one);
        BigInteger m = n.add(two);
        String s = n.toString() + " " + m.toString();

        if (tests < testn && n.toString().length() <= MAX_LEN && m.toString().length() <= MAX_LEN)
        {
            if (!hs.contains(s))
            {
                tests++;
                out.println(s);
                hs.add(s);
                return true;
            }
        }
        return false;
    }

    private void run(String[] args) throws Exception
    {
        if(args.length > 0)
            testn = Integer.parseInt(args[0]);
        else
            testn = 10000;

        tests = 0;

        hs = new HashSet<String>();

        rand = new Random(678901);

        out = new PrintWriter("SQUAREROOT.IN");
        out.println(testn);

        int i;

        // printTest  ,   !
        // BigInteger(rand.nextInt(), rand)     ,    

        printTest(one);
        printTest(two);

        //  3-100
        for (i = 10; i < 108; i++)
        {
            BigInteger num = new BigInteger(Integer.toString(i));
            printTest(num);
        }


        BigInteger j;
        for (j = new BigInteger("7611511648345388761151164834538876115116483453887611511648345388"), i = 0; i < 100; i++, j = j.add(one))
            printTest(j);

        j = new BigInteger("9999999999999999999999999999999999999999999999999999999999999999999999998");
        printTest(j);

        BigInteger r;
        for (i = 0; i < 200; i++) {
            r = new BigInteger(i + 100, rand);
            printTest(r);
        }

        for (i = 0; i < 500; i++) {
            r = new BigInteger(rand.nextInt(3300), rand);
            printTest(r);
        }

        for (i = 0; i < 500; i++) {
            r = new BigInteger(rand.nextInt(300), rand);
            printTest(r);
        }

        for (i = 0; i < 1000; i++) {
            r = new BigInteger(rand.nextInt(1000), rand);
            printTest(r);
        }

        for (i = 0; i < 1000; i++) {
            r = new BigInteger(rand.nextInt(2000), rand);
            printTest(r);
        }

        while (tests < testn) {
            r = new BigInteger(3300, rand);
            printTest(r);
        }

        out.close();
    }

}
