﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Globalization;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Race
{
    class Program
    {
        static void Main(string[] args)
        {
            using (var stream = File.OpenText("students.in"))
            {
                var tn = int.Parse(stream.ReadLine());
                Debug.Assert(tn >= 1 && tn <= 10000);

                for (int ti = 0; ti < tn; ti++)
                {
                    var n = int.Parse(stream.ReadLine());
                    Debug.Assert(n >= 1 && n <= 1000);

                    var names = new List<Tuple<string, int>>();

                    for (int i = 0; i < n; i++)
                    {
                        var arr = stream.ReadLine().Split(' ');
                        Debug.Assert(arr.Length == 3 || arr.Length == 4);

                        assertName(arr[0]);
                        assertName(arr[1]);
                        if (arr.Length == 4)
                        {
                            assertName(arr[2]);
                        }

                        Debug.Assert(arr.Last() == "w" || arr.Last() == "m");

                        if (arr.Last() == "m")
                        {
                            continue;
                        }

                        var curname = arr[1];

                        bool find = false;
                        for (int ni = 0; ni < names.Count; ni++)
                        {
                            var name = names[ni];
                            if (name.Item1 == curname)
                            {
                                names[ni] = Tuple.Create(curname, name.Item2 + 1);
                                find = true;
                                break;
                            }
                        }
                        if (!find)
                        {
                            names.Add(Tuple.Create(curname, 1)); 
                        }
                    }

                    if (names.Count == 0)
                    {
                        Console.WriteLine("NO DATA!");
                        continue;
                    }

                    var max = names.Max(x => x.Item2);
                    if (max == 1)
                    {
                        Console.WriteLine("UNIQUE!");
                    }
                    else
                    {
                        var result = names.Where(x => x.Item2 == max).Select(x => x.Item1).ToArray();
                        Console.WriteLine(string.Join(",", result));
                    }
                }
            }

        }

        private static void assertName(string s)
        {
            Debug.Assert(!string.IsNullOrEmpty(s));
            Debug.Assert(s.Length <= 10);

            Debug.Assert(s[0] >= 'A' && s[0] <= 'Z');

            for (int i = 1; i < s.Length; i++)
            {
                Debug.Assert(s[i] >= 'a' && s[i] <= 'z');
            }
        }
    }
}
