/*
@author Efim Konstantinov (wertrix.ek@gmail.com)
*/

#include <iostream>
#include <fstream>
#include <cassert>
#include <string>
#include <vector>
#include <map>
#include <algorithm>

using namespace std;

void assertName(string s)
{
	assert((int)s.length()>0 && (int)s.length() <= 10);
	assert(s[0] >= 'A' && s[0] <= 'Z');

	for (int i = 1; i < (int)s.length(); i++)
	{
		assert(s[i] >= 'a' && s[i] <= 'z');
	}
}

bool compare(pair<string, int> a, pair<string, int> b)
{
	return a.second < b.second;
}

int main()
{
	freopen("students.in","r",stdin);
	//freopen("students.out","w",stdout);

	int t;
	cin >> t;
	assert(t > 0 && t <= 10000);
	while (t--)
	{
		int n;
		cin >> n;
		assert(n >= 1 && n <= 1000);
		map<string, pair<int, int> > womans;
		string name, gender;
		for (int i = 0; i < n; ++i)
		{
			//asserts
			cin >> name;
			assertName(name);
			cin >> name;
			assertName(name);
			cin >> gender;
			if (gender != "m" && gender != "w")
			{
				assertName(gender);
				cin >> gender;
			}
			assert(gender == "m" || gender == "w");
			//assert
			if (gender == "m")
				continue;
			womans[name].first++;
			if (womans[name].second == 0)
				womans[name].second = i + 1;
		}
		if (womans.size() == 0)
		{
			cout << "NO DATA!" << endl;
			continue;
		}
		map<string, pair<int, int> >::iterator it;
		multimap<int, pair<string, int> > maxWomans;
		for (it = womans.begin(); it != womans.end(); it++)
		{
			pair<string, int> p(it->first, it->second.second);
			maxWomans.insert(pair<int, pair<string, int> >(it->second.first, p));
		}
		multimap<int, pair<string, int> >::reverse_iterator rit;
		int max = maxWomans.rbegin()->first;
		if (max == 1)
		{
			cout << "UNIQUE!" << endl;
			continue;
		}
		vector<pair<string, int> > result;
		for (rit = maxWomans.rbegin(); rit != maxWomans.rend(); rit++)
		{
			if (rit->first == max)
			{
				result.push_back(rit->second);
			}
			else break;
		}
		sort(result.begin(), result.end(), compare);
		for (int i = 0; i < (int)result.size(); ++i)
		{
			cout << result[i].first;
			if (i < (int)result.size() - 1)
				cout << ',';
		}
		cout << endl;
	}

	return 0;
}